<template>
 <!-- @click="getUserInfo1" -->
  <!--pages/home/main.wxml-->
  <div class='login'>
    <div class="img">
      <img :src="bgurl" alt="">
    </div>
    <div class="content">
      <div class="space"></div>
      <div >
        <button
          v-if="!check"
          class="footer"
          @click="btnclick"
        >微信快捷登录</button>
      <button
           v-if="check"
          class="footer"
          open-type="getPhoneNumber"
          @getphonenumber="getPhoneNumber"
          @click="getUserInfo1"
        >微信快捷登录</button>
        </div>
      <div class="footer" style="margin-bottom:40rpx" @click="login" >
          手机号码登录/注册
      </div>
         <div class="agree">
           <div class="box">
             <div v-if="check" @click="choose" class="choose">
                <img :src="checkurl" alt=""   >
             </div>
             <div v-if="!check"  @click="unchoose" class="unchoose">
             <img :src="uncheckurl" alt=""  v-if="!check"  >
             </div>
             <span>我已阅读</span>
             <span class="text" @click="agree">《GAIDA用户许可协议》</span>
           </div>
           
        </div>
        <div class="agree" style="margin-top:24rpx">
          如您已在GIADA店铺注册过会员，请使用会员手机号码登录，系统将自动绑定您的账号。
        </div>
      </div>
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6" scoped>
  import config from '@/config'
  //   import '../../../../static/css/reset.css';
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        check:false,
        bgurl:config.url+'login.png',
        checkurl:config.url +'ck.png',
        uncheckurl:config.url +'unck.png',
        button:{
          high : true
        },
        hintbox:{
          text :'',
          show : false
        },
        status:false,
        password:'',
        phone:'',
        input:[
          {
            inputType:'number',
            title:'账号',
            placeholder:'请输入帐号'
          },
          {
            inputType:'number',
            title:'密码',
            placeholder:'请输入密码'
          },
        ],
        signAccount:'',
        signPassword:''
      }
    },
    components:{
      'v-hintbox' : hintbox
    },
    computed:{
      // 登录状态按钮禁用
      status(){
        if( this.signAccount &&  this.signPassword){
          return true;
        }else{
          return false;
        }

      },

    },
    methods:{
      btnclick(){
        console.log('点击');
         if(!this.check){
        console.log('未选中');
        wx.showToast({
            title: '请勾选GIADA用户许可协议！',
            icon: 'none',
            duration: 2000
          })
        return;
      }else{
        this.getUserInfo1();

      }

      },
      choose(){
        console.log('选择');
        this.check = false;

      },
      unchoose(){
        console.log('未选择');
        this.check = true;
        
      },
      getUserInfo1(){
      let that =this;
     
          if(!this.button.high){
          return;
        }
        this.button.high = false;
        setTimeout(function () {
          that.button.high = true;
        },5000);
        console.log('click事件首先触发');
        // 判断小程序的API，回调，参数，组件等是否在当前版本可用。  为false 提醒用户升级微信版本
        // console.log(wx.canIUse('button.open-type.getUserInfo'))
        if(wx.canIUse('button.open-type.getUserInfo')){
          // config.href(config.Login);

          console.log('版本可用')
          // 用户版本可用
        }else{
          that.hintbox.show = true;
          that.hintbox.text = '请升级微信小程序版本';
        }
        
      
      

    },
          // 查看是否授权
        islogin(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let phone =  wx.getStorageSync('phonewx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        // +phone.phoneNumber+
        VeevlinkClient(
          '/member/login?openId='+VerificationCodeEntity.OpenId + '&phone='+phone.phoneNumber+'&type=wechat',
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records[0];
                if(that.datas.isRegister){
                  wx.setStorageSync('memberid',that.datas.memberId);
                  config.href(config.mainPage.home);
                }else{
                  config.href(config.mainPage.info);
                }
                console.log('listhome',that.list);
              }else{
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
          // config.href(config.mainPage.info);

        },
        getPhoneNumber(e) {
          console.log('获取手机号信息',e);
          let that =this;
          if (e.mp.detail.encryptedData){
            let UserInfo = e.mp.detail.encryptedData; //拿的是加密的
            let iv = e.mp.detail.iv;
            //用户按了允许授权按钮
            console.log('用户按了允许授权按钮');
             VeevlinkLogin(UserInfo,iv,'phone',function ( ) {
                    console.log('succes');
                    // 001O000001gG2sHIAS
                    wx.setStorageSync('memberid','');
                    that.islogin();
              });
              
          } else {
            //用户按了拒绝按钮
            console.log('用户按了拒绝按钮')
            //  that.bindGetUserInfo();

          }
        },
      //微信登录
      login(){
         wx.setStorageSync('memberid','');
         if(!this.check){
        wx.showToast({
            title: '请勾选GIADA用户许可协议！',
            icon: 'none',
            duration: 2000
          })
        return;
      }
        config.href(config.mainPage.register);
      },
      //关闭弹窗
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      //跳转协议
      agree(){
        config.href(config.mainPage.agree);
      }
      
    },
    //页面加载时，判断用户是否登录
    onLoad(data) {
      let that = this;
      mta.Page.init();
      // that.getAjax(); 
      wx.login({
          success (res) {
            if (res.code) {
              //发起网络请求
               console.log('获取手机号并刷新登录状态');
            } else {
              console.log('登录失败！' + res.errMsg)
            }
          }
        }) 
    }
  }
</script>
<style lang="scss"  type="text/scss" scoped>
  /* pages/home/main.wxss */
  .login{
    width: 100%;
    height: 100%;
    background-color:#fff;
    .img{
      img{
         width: 100%;
         height: 7.5rem;
      }
    }
    .agree{
      margin: 0rem 0.7rem 0 0.7rem;
      font-size: 0.24rem;
      font-family: '华文细黑';
      color:#727171;
      line-height:0.4rem;
      .box{
        display: flex;
        font-size: 0.24rem;
        color:#727171;
        .unchoose{
          width:0.45rem;
          height:0.45rem;
          text-align:center;
          line-height:0.45rem;
          img{
            width:0.28rem;
            height:0.28rem;
            margin-top:0.05rem;
            margin-left:-0.12rem;
          }
        }
        .choose{
          width: 0.45rem;
          height: 0.45rem;
          img{
            width: 0.45rem;
            height: 0.45rem;
            margin-top:-0.05rem;
            margin-left:-0.05rem;

          }
          
          //margin-top:-0.05rem;
        }
      }
    }
    .text{
      color: #727171;
      text-decoration-line: underline;
      text-decoration-color: #727171;
    }
  .footer{
    background-color: #919191;
    font-size: 0.24rem;
    color: #fff;
    text-align: center;
    height: 0.6rem;
    line-height: 0.6rem;
    margin: 0.52rem 0.7rem;
    width: 6rem;
    position:relative;
    border-radius:0px;
    // top:-200px;

  }
  .content{
    position: absolute;
    //bottom: 0.97rem;
    .space{
      height:0.8rem;
    }
  }
  
    
  }
</style>
